Support » Plugin: Admin Bar User Switching » Deprecated feature.

  • Resolved Nate1

    (@nate1)


    Hello,

    Just reporting an issue with PHP 7.4.
    [16-Jul-2020 21:20:28 UTC] PHP Deprecated: Unparenthesized a ? b : c ? d : e is deprecated.
    Use either (a ? b : c) ? d : e or a ? b : (c ? d : e) in /httpdocs/wp-content/plugins/admin-bar-user-switching/functions/abus-core-functions.php on line 14

    
    $s = (empty( $_SERVER[ 'HTTPS' ] ) ? '' : (( $_SERVER[ 'HTTPS' ] == 'on' ) ? 's' : '')); // FIX.
        //$s = empty( $_SERVER[ 'HTTPS' ] ) ? '' : ( $_SERVER[ 'HTTPS' ] == 'on' ) ? 's' : '';

    Thank you.

Viewing 5 replies - 1 through 5 (of 5 total)
Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘Deprecated feature.’ is closed to new replies.